getGet terms

Gets terms by ID. Requires terms:read.

curl --request GET \
  --url https://your-tenant.fuse.server.test.neobits.ai/v2/terms/0195fc07-17e7-71e7-b127-70c0a81db35a \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Request

Headers

  • Authorization•string

    Bearer token authentication using OAuth 2.0 client credentials flow.

Params (path)

  • id•string<uuid>

    The unique identifier of the terms

Response

Headers

  • Content-Type•string

    The content type of the response.

  • X-Request-ID•string<uuid>

    UUID generated on each request. Provide this id to customer support if an error occurs.

Body

  • id•string<uuid>

  • terms•object

    • chargeCard•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

    • creditCard•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

    • otherDebts•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

    • repaymentLoan•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

    • movables•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

    • mortgages•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

    • studentLoans•object

      • rate•number

        Annual interest rate as a fraction, so `0.05` is 5%.

      • duration•number

        Repayment duration in months.

  • startDate•string<date-time>

    When these terms take effect.

  • endDate•string<date-time>

    When these terms stop applying. Null while nothing replaces them.

  • status•string

    `ACTIVE` terms apply now, `SCHEDULED` terms start in the future and `SUPERSEDED` terms have ended.

  • createdAt•string<date-time>

  • updatedAt•string<date-time>